Subject: Fw: checking in
From: "Mike" <[email-masked]>
To: "Steve Tingiris" <[email-masked]>
Date: Tue, 22 Jan 2008 16:42:54 -0500

----- Original Message ----- 
From: Mike 
To: Michael Grove 
Sent: Monday, January 21, 2008 7:30 PM
Subject: checking in

Mike,
I was just trying to find out if you had a chance to get some of those changes in place?  As far as I can tell, the PO Box/Physical pop is still not working.  There were some other emails I sent as well.  Please let me know when these can get completed.
Thanks,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]